Subject: Re: bug#56977: 29.0.50; gnus-parameter-to-list is ignored for digest groups

From: Jakub Ječmínek <[email-masked]>
Date: Sat, 18 May 2024 20:03:46 +0000

Sam Steingold <[email-masked]> writes:

> I set
>
> gnus-parameter-to-list-alist
> ==> (("gmane.comp.security.risks" "[email-masked]"))
>
> and
>
> gnus-newsgroup-name
> ==> "nndoc:gmane.comp.security.risks-1049"
>
> (because it is a digest group) but still
>
> (gnus-parameter-to-list gnus-newsgroup-name)
> ==> "[email-masked]"
>
> However, when I do `f' (`gnus-summary-followup') in the
>
> gnus-summary-buffer
> ==> #<buffer *Summary nndoc:gmane.comp.security.risks-1049*>
>
> the header of the `gnus-message-buffer' (`*unsent ...') contains
>
> Newsgroups: gmane.comp.security.risks
>
> instead of
>
> CC: [email-masked]

Hello Sam, thanks for the bug report.  You're seeing this behaviour
because you're using 'nndoc' backend instead of 'nntp'. The
documentation says that

  `to-list' address will be used when doing a `a' in the group.

  It is totally ignored when doing a followup--except that if it is
  present in a news group, you'll get mail group semantics when doing
  `f'.

(info "(Gnus) Group Parameters")

I've tested it with 'nntp' backend and it works fine.  I'm going to
close this bug report, however if you think this should be reopened,
please tell me.

Best

Jakub